> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets

> List global secrets for the authenticated user or a team.

If teamId is provided, returns secrets for that team (requires team membership).
Otherwise, returns the user's personal secrets.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/secrets/
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/secrets/:
    get:
      tags:
        - Secrets
      summary: List Secrets
      description: >-
        List global secrets for the authenticated user or a team.


        If teamId is provided, returns secrets for that team (requires team
        membership).

        Otherwise, returns the user's personal secrets.
      operationId: list_secrets_api_v1_secrets__get
      parameters:
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by team ID
            title: Teamid
          description: Filter by team ID
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_List_SecretResponse__
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_List_SecretResponse__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/SecretResponse'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[List[SecretResponse]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    SecretResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the secret
        name:
          type: string
          title: Name
          description: Name of the secret
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the secret
        isFile:
          type: boolean
          title: Isfile
          description: Whether this secret is a file
          default: false
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
          description: ID of the owning user
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
          description: ID of the owning team
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: When the secret was created
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
          description: When the secret was last updated
      type: object
      required:
        - id
        - name
        - createdAt
        - updatedAt
      title: SecretResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````